org.apache.flume.auth

## Interface FlumeAuthenticator

- All Superinterfaces:
    PrivilegedExecutor

      public interface FlumeAuthenticator
      extends PrivilegedExecutor

  FlumeAuthenticator extends on a PrivilegedExecutor providing capabilities to proxy as a different user

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAuthenticated()` Returns true, if the underlying Authenticator was obtained by successful kerberos authentication
    `PrivilegedExecutor` | `proxyAs(String proxyUserName)` Returns the current instance if proxyUsername is null or returns the proxied Executor if proxyUserName is valid
    `void` | `startCredentialRefresher()` For Authenticators backed by credentials, this method refreshes the credentials periodically

    - ### Methods inherited from interface org.apache.flume.auth.PrivilegedExecutor

      `execute, execute`

- - ### Method Detail

    - #### proxyAs

          PrivilegedExecutor proxyAs(String proxyUserName)

      Returns the current instance if proxyUsername is null or returns the proxied Executor if proxyUserName is valid
      Parameters:
        `proxyUserName` -
      Returns:
        PrivilegedExecutor

    - #### isAuthenticated

          boolean isAuthenticated()

      Returns true, if the underlying Authenticator was obtained by successful kerberos authentication
      Returns:
        boolean

    - #### startCredentialRefresher

          void startCredentialRefresher()

      For Authenticators backed by credentials, this method refreshes the credentials periodically

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.